package TX_OtherClass;

public final class RequestCommand extends JceStruct {
    public byte[] body;
    static byte[] cache_body;
    static RequestHead cache_head;
    public RequestHead head;

    static {
        RequestCommand.cache_head = new RequestHead();
        byte[] v0 = new byte[1];
        RequestCommand.cache_body = v0;
        v0[0] = 0;
    }

    public RequestCommand() {
        super();
        this.head = null;
        this.body = null;
    }

    public RequestCommand(RequestHead arg2, byte[] arg3) {
        super();
        this.head = null;
        this.body = null;
        this.head = arg2;
        this.body = arg3;
    }

    public final void readFrom(c arg4) {
        this.head = (RequestHead) arg4.a(RequestCommand.cache_head, 0, true);
        this.body = arg4.c(1, false);
    }

    public final void writeTo(d arg3) {
        arg3.a(this.head, 0);
        if(this.body != null) {
            arg3.a(this.body, 1);
        }
    }
}
